PUT /blueprintcomponents/{guid}/{updatehash}

Update a blueprint component

Update a blueprint component
KeyTypeExampleDescription
guidrequiredstring
"example-string"
updatehashrequiredstring
"example-string"
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 42,
    "entity": 42,
    "guid": "example-string",
    "update_hash": "example-string",
    "updated": 42
  }
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
403INSUFFICIENT_PERMISSIONSInsufficient permissions for this operation
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintcomponents_removeRequired scope: blueprintcomponents_remove

Back to Blueprint Components Return to the Blueprint Components category to view other endpoints All API Categories Browse all available API categories